#
# This is a sample Python script
# This script returns with exit code 0 if "pass" is provided as a command line argument
# If command line argument is not "pass", then this script return with non-zero exit code
# If it return with exit code 0, then Test Case will be updated as Pass, else Test Case will be updated as failed.
#
import sys

# Check whether command line argument is provided or not, if not then assign a default value
if len(sys.argv) > 1:
	testCaseStatus = sys.argv[1]
else:
	testCaseStatus = 'No argument passed'

# print only first command line argument	
print ('Command line argument: ' + testCaseStatus)

# If the first command line argument is "pass", then return with exit code 0, else return with exit code 1
if testCaseStatus.lower() == 'pass':
	print ('This Test Case is Passed')
	sys.exit(0)
else:
	print ('This Test Case is Failed')
	sys.exit(1)
